USE [cmod]
GO
DROP TABLE CM_TM_LOGS;
DROP TABLE CM_TM_REQUESTS;
DROP TABLE CM_TM_PATIENTS;
DROP TABLE CM_TM_TESTS;
/****** Object:  Table [dbo].[CM_TM_LOGS]    Script Date: 13/01/2025 16:49:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CM_TM_LOGS](
	[LOGID] [int] IDENTITY(1,1) NOT NULL,
	[URL] [varchar](150) NULL,
	[METHOD] [varchar](10) NULL,
	[BODY] [text] NULL,
	[LOGDATE] [datetime] NULL,
 CONSTRAINT [PK_CM_TM_LOGS] PRIMARY KEY CLUSTERED 
(
	[LOGID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CM_TM_PATIENTS]    Script Date: 13/01/2025 16:49:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CM_TM_PATIENTS](
	[PATID] [int] IDENTITY(1,1) NOT NULL,
	[PATNUMBER] [varchar](50) NULL,
	[FIRSTNAME] [varchar](100) NULL,
	[LASTNAME] [varchar](100) NULL,
	[BIRTHDATE] [date] NULL,
	[SEX] [varchar](10) NULL,
	[PHONE] [varchar](50) NULL,
	[TAKEN] [varchar](1) NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CM_TM_REQUESTS]    Script Date: 13/01/2025 16:49:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CM_TM_REQUESTS](
	[REQID] [int] IDENTITY(1,1) NOT NULL,
	[REFFID] [text] NULL,
	[REQNUMBER] [varchar](10) NULL,
	[REQTYPE] [varchar](10) NULL,
	[REQDATE] [datetime] NULL,
	[AGENT] [varchar](100) NULL,
	[DOC] [varchar](100) NULL,
	[LOC] [varchar](10) NULL,
	[PATID] [int] NULL,
	[COMPANY] [varchar](50) NULL,
	[REQDESC] [varchar](50) NULL,
	[TAKEN] [varchar](1) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CM_TM_TESTS]    Script Date: 13/01/2025 16:49:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CM_TM_TESTS](
	[REQTESTID] [int] IDENTITY(1,1) NOT NULL,
	[REFFID] [text] NULL,
	[REQID] [int] NOT NULL,
	[HISCODE] [varchar](10) NOT NULL,
	[TESTSTATUS] [char](1) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
